homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.index, name='index'),
    path('hobby/', views.hobby, name='hobby'),
    path('gallery/', views.gallery, name='gallery'),
    path('home-schedule/', views.homeschedule, name='homeschedule'),
    path('form/', views.form, name='form'),
    path('responseform/', views.responseform, name='responseform'),
    path('delete/P<int:delete_id>/',views.delete, name='delete'),
    
    # dilanjutkan ...
]

story4/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('story6/',include('story6.urls'),name="story6"),
    path('story7/', include('story7.urls'),name="story7"),
    path('story8/', include('story8.urls'),name="story8"),
    path('story9/', include('story9.urls'),name="story9"),
]

story6/urls.py
from django.urls import path
from . import views

app_name = 'story6'

urlpatterns = [
    path('homekegiatan/',views.homekegiatan, name='homekegiatan'),
    path('addkegiatan/',views.addkegiatan,name = 'addkegiatan'),
    path('listkegiatan/',views.listkegiatan, name='listkegiatan'),
    path('register/<int:task_id>/', views.register, name='register'),
    path('delete/<int:delete_id>/', views.deleteUser, name='delete'),
    path('deleteActivity/<int:delete_id>/', views.deleteActivity, name='deleteActivity'),

]

story7/urls.py
from django.urls import path
from . import views

app_name = 'story7'

urlpatterns = [
   path('accordion/',views.accordion, name='accordion'),
   
]

story8/urls.py
from django.urls import path
from . import views
 
app_name = 'story8'
 
urlpatterns = [
    path('',views.searchbook, name='searchbook'),
    path('data/', views.fungsidata, name='fungsidata'),
]

story9/urls.py
from django.urls import path
from . import views


app_name = 'story9'

urlpatterns = [
    path('login/',views.logIn, name='login'),
    path('signup/', views.signUp, name='signup'),
    path('logout/', views.logOut, name='logout'),
   

]

story8/models.py
from django.db import models

# Create your models here.

story8/views.py
from django.shortcuts import render, HttpResponse
from django.http import JsonResponse
import json
from django.core import serializers
import requests
 
# Create your views here.
def searchbook(request):
    return render( request, 'searchbook.html')

def fungsidata(request):
    url = "https://www.googleapis.com/books/v1/volumes?q=" + request.GET['q']
    ret = requests.get(url)
    print(ret.content)
    return JsonResponse(ret.json())

story8/templates/searchbook.html
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>profile</title>
    <link rel="stylesheet" type="text/css" href="{% static 'story8.css' %} " />
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
</head>

<body>
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <a class="logo" href="{% url 'homepage:index' %}">
                <img src="{% static 'img/logo1.png' %}" alt="" title="" />
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#expand">
                <span class="navbar-icon"><i class="fas fa-bars"></i></span>
            </button>
            <div class="collapse navbar-collapse" id="expand">

                <ul class="navbar-nav ml-auto">
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link dropdown-toggle list-menu" href="#" id="navbarDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Home
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Biodata">Biodata</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#About">AboutMe</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Roadmap">Education</a>
                            <a class="dropdown-item list-menu "
                                href="{% url 'homepage:index' %}#Experience">Experience</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Hobby">Hobby</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Hobby">Skill</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Contact">Contact</a>
                        </div>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'homepage:gallery' %}">Gallery</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'homepage:homeschedule' %}">Schedule</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story6:homekegiatan' %}">Activity</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story7:accordion' %}">Accordion</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story8:searchbook' %}">searchbook</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story9:login' %}">story9</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <section class="hello" id="hello">
    
        <div class="container">
                <h6 class="titles"> Book <span>Search</span></h6>
                    <div class="search-bar">
                        <input class="form-control" type="text" placeholder="What are you looking for?" id="search-input" name="search">
                    </div>
            
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th scope="col" class="align-center">#</th>
                                <th scope="col" class="align-center">Cover</th>
                                <th scope="col" class="align-center">Title</th>
                                <th scope="col" class="align-center">Authors</th>
                                <th scope="col" class="align-center">Publisher</th>
                                <th scope="col" class="align-center">Published Date</th>
                            </tr>
                        </thead>
                        <tbody id="search-result"></tbody>
                    </table>
                    

        </div>
    </section>

    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <script type="text/javascript" src="{% static 'story8.js' %}"></script>
   


</body>

</html>